OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_BooleanOperand Class Reference

`#include <StepShape_BooleanOperand.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_BooleanOperand ()
| Returns a BooleanOperand SelectType .
Standard_EXPORT void | SetTypeOfContent (const Standard_Integer aTypeOfContent)
Standard_EXPORT Standard_Integer | TypeOfContent () const
Standard_EXPORT Handle_StepShape_SolidModel | SolidModel () const
| returns Value as a SolidModel (Null if another type)
Standard_EXPORT void | SetSolidModel (const Handle(StepShape_SolidModel)&aSolidModel)
Standard_EXPORT Handle_StepShape_HalfSpaceSolid | HalfSpaceSolid () const
| returns Value as a HalfSpaceSolid (Null if another type)
Standard_EXPORT void | SetHalfSpaceSolid (const Handle(StepShape_HalfSpaceSolid)&aHalfSpaceSolid)
Standard_EXPORT StepShape_CsgPrimitive | CsgPrimitive () const
| returns Value as a CsgPrimitive (Null if another type) CsgPrimitive is another Select Type
Standard_EXPORT void | SetCsgPrimitive (const StepShape_CsgPrimitive &aCsgPrimitive)
Standard_EXPORT Handle_StepShape_BooleanResult | BooleanResult () const
| returns Value as a BooleanResult (Null if another type)
Standard_EXPORT void | SetBooleanResult (const Handle(StepShape_BooleanResult)&aBooleanResult)
## Private Attributes
Handle_StepShape_SolidModel | theSolidModel
Handle_StepShape_HalfSpaceSolid | theHalfSpaceSolid
StepShape_CsgPrimitive | theCsgPrimitive
Handle_StepShape_BooleanResult | theBooleanResult
Standard_Integer | theTypeOfContent

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_BooleanOperand::StepShape_BooleanOperand | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepShape_BooleanResult StepShape_BooleanOperand::BooleanResult | ( |  | ) | const

Standard_EXPORT StepShape_CsgPrimitive StepShape_BooleanOperand::CsgPrimitive | ( |  | ) | const

Standard_EXPORT Handle_StepShape_HalfSpaceSolid StepShape_BooleanOperand::HalfSpaceSolid | ( |  | ) | const

void StepShape_BooleanOperand::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepShape_BooleanOperand::operator new | ( | size_t | size | ) | `[inline]`

void* StepShape_BooleanOperand::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void StepShape_BooleanOperand::SetBooleanResult | ( | const Handle(StepShape_BooleanResult)& | aBooleanResult | ) |

Standard_EXPORT void StepShape_BooleanOperand::SetCsgPrimitive | ( | const StepShape_CsgPrimitive & | aCsgPrimitive | ) |

Standard_EXPORT void StepShape_BooleanOperand::SetHalfSpaceSolid | ( | const Handle(StepShape_HalfSpaceSolid)& | aHalfSpaceSolid | ) |

Standard_EXPORT void StepShape_BooleanOperand::SetSolidModel | ( | const Handle(StepShape_SolidModel)& | aSolidModel | ) |

Standard_EXPORT void StepShape_BooleanOperand::SetTypeOfContent | ( | const Standard_Integer | aTypeOfContent | ) |

Standard_EXPORT Handle_StepShape_SolidModel StepShape_BooleanOperand::SolidModel | ( |  | ) | const

Standard_EXPORT Standard_Integer StepShape_BooleanOperand::TypeOfContent | ( |  | ) | const

## Field Documentation

Handle_StepShape_BooleanResult StepShape_BooleanOperand::theBooleanResult`[private]`

StepShape_CsgPrimitive StepShape_BooleanOperand::theCsgPrimitive`[private]`

Handle_StepShape_HalfSpaceSolid StepShape_BooleanOperand::theHalfSpaceSolid`[private]`

Handle_StepShape_SolidModel StepShape_BooleanOperand::theSolidModel`[private]`

Standard_Integer StepShape_BooleanOperand::theTypeOfContent`[private]`

The documentation for this class was generated from the following file:

- StepShape_BooleanOperand.hxx